/************************************************************************************
*                                                                                   *
*   init_o.sql         SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   User with System Administrator role.        Utilisateur ayant les privileges    *
*                                               d'un "System Administrator".        *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Optimized installation:                     Installation optimisee:             *
*   Script creating:                            Script creant:                      *
*   - Four files(data: 50M,               	- Quatre "files" (donnees : 50M     *
*     indexes: 40M and log: 30M),               index : 40M et log : 30M),          *
*   - 2 filegroups,                             - 2"filegroups",                    *
*   - one SILVERRUN responsible user.           - un utilisateur responsable de     *
*                                                 SILVERRUN.                        *
*                                                                                   *           
*                                                                                   *
*                                                                                   *
*   YOU MUST MODIFY THIS SCRIPT BEFORE          VOUS DEVEZ MODIFIER CE SCRIPT AVANT *
*   ITS FIRST RUN:                              SA PREMIERE EXECUTION :             *
*                                                                                   *
*   Replace the words:                          Remplacez les mots :                *
*   <path/name of data file>,                	<path/name of data file>, 	    *
*   <path/name of index file> and               <path/name of index file> et 	    *
*   <path/name of log file> according        	<path/name of log file> selon	    *
*   to your platform and storage choices.       votre plate-forme et vos choix de   *
*                                               stockage.                           *
*                                                                                   *
*                                                                                   *
*   The values of the sizes may be changed.     Les valeurs des volumes peuvent     *
*                                               etre modifiees.                     *
*                                                                                   *
************************************************************************************/



USE master 
GO 

CREATE DATABASE silverrun_db
ON 
( NAME = sr_repository_data,
  FILENAME = '<path/name of data file>.mdf',
  SIZE = 200MB,
  MAXSIZE = 400MB,
  FILEGROWTH = 20%),
FILEGROUP group_sr_repository_index 
( NAME = dev_sr_repository_indexes,
  FILENAME = '<path/name of index file>.ndf',
  SIZE = 200MB,
  MAXSIZE = 400MB,
  FILEGROWTH = 20%)
LOG ON 
( NAME = dev_sr_repository_log,
  FILENAME = '<path/name of log file>.ldf',
  SIZE = 300MB,
  MAXSIZE = 500MB,
  FILEGROWTH = 20%)
GO

USE silverrun_db
GO
 
sp_addlogin 'sr_admin', 'sr_admin', silverrun_db
GO

sp_changedbowner 'sr_admin'
GO

ALTER DATABASE silverrun_db SET RECOVERY SIMPLE
GO