/************************************************************************************
*                                                                                   *
*   upgrd_s.sql        SILVERRUN ENTERPRISE BPM/RDM 2.7       Grandite		    *
*   99-06-06           SILVERRUN ENTREPRISE DFD/MRD 2.7       Grandite		    *
*																                    *
*************************************************************************************
*																                    *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script upgrading the SILVERRUN              Script mettant a jour le            *
*   ENTERPRISE RDM 2.6 REPOSITORY to			REFERENTIEL SILVERRUN ENTREPRISE    *
*   version 2.7.								MRD 2.6 pour la version 2.7.	  	*
*                                                                                   *
*   Script creating SILVERRUN tables and        Script creant les tables et index   *
*   indexes on segment default.                 SILVERRUN a l'interieur du "segment"*
*                                               default.                            *
*                                                                                   *
*************************************************************************************/

use silverrun_db
go

BEGIN TRANSACTION
UPDATE zModule set zVersion = ('350 341 0')
    WHERE (zName IN ('MMC', 'EPI'))
COMMIT
go


ALTER TABLE dProcess
  ADD
    dFixedTime                      float                            NULL,
    dFixTimUnt                      smallint                         NULL,
    dPartTime                       float                            NULL,
    dPrtTimUnt                      smallint                         NULL,
    dRessTime                       float                            NULL,
    dResTimUnt                      smallint                         NULL,
    dTotlTime                       float                            NULL,
    dTotTimUnt                      smallint                         NULL
GO

ALTER TABLE dResourc
  ADD
    dCstTimUnt                      smallint                         NULL,
    dWrkLodUnt                      smallint                         NULL
GO

ALTER TABLE dResProc
  ADD
    dUsgRatUnt                      smallint                         NULL
GO

ALTER TABLE rColumn
  ADD
    rAllocate                       varchar(100)                     NULL,
    rCcsid                          varchar(100)                     NULL,
    rLabel                          varchar(100)                     NULL,
    rLabHead                        varchar(100)                     NULL,
    rSysName                        varchar(100)                     NULL
GO

ALTER TABLE rConstr
  ADD
    rReplicat                       char(1)                          NULL
GO

ALTER TABLE rDatabas
  ADD
    rAlteredTS                      varchar(100)                     NULL,
    rAsp                            varchar(100)                     NULL,
    rCreatedTS                      varchar(100)                     NULL,
    rDataDict                       char(1)                          NULL,
    rEncoding                       smallint                         NULL,
    rGroupMem                       varchar(100)                     NULL,
    rHWaterM                        int                              NULL,
    rLWaterM                        int                              NULL,
    rPromPct                        smallint                         NULL,
    rType                           char(1)                          NULL
GO

ALTER TABLE rFile
  ADD
    rGrowth                         int                              NULL,
    rGrowthU                        smallint                         NULL,
    rGrowthUn                       char(1)                          NULL,
    rMaxSize                        int                              NULL,
    rMaxSizeU                       smallint                         NULL,
    rPrimFile                       char(1)                          NULL,
    rSizeUSrv                       smallint                         NULL,
    rStogrpK                        int                              NULL
GO

ALTER TABLE rIndex
  ADD
    rAlteredTS                      varchar(100)                     NULL,
    rBitmap                         char(1)                          NULL,
    rCreatedTS                      varchar(100)                     NULL,
    rDropExist                      char(1)                          NULL,
    rFileGrpD                       char(1)                          NULL,
    rGbpcache                       smallint                         NULL,
    rNoStat                         char(1)                          NULL,
    rPadded                         char(1)                          NULL,
    rPiecesize                      smallint                         NULL,
    rWhNotNull                      char(1)                          NULL
GO

ALTER TABLE rPart
  ADD
    rGbpcache                       smallint                         NULL
GO

ALTER TABLE rProc
  ADD
    rDetermini                      smallint                         NULL,
    rExtLang                        smallint                         NULL,
    rExtName                        varchar(100)                     NULL,
    rParam                          int                              NULL,
    rParmStyle                      smallint                         NULL,
    rResSets                        varchar(100)                     NULL,
    rSpecName                       varchar(100)                     NULL,
    rSqlDatAcc                      smallint                         NULL
GO

ALTER TABLE rStogrp
  ADD
    rAlteredTS                      varchar(100)                     NULL,
    rCreatedTS                      varchar(100)                     NULL,
    rFileGDb                        int                              NULL
GO

ALTER TABLE rTable
  ADD
    rAlteredTS                      varchar(100)                     NULL,
    rCreatedTS                      varchar(100)                     NULL,
    rDdsType                        smallint                         NULL,
    rDropRestr                      char(1)                          NULL,
    rEncoding                       smallint                         NULL,
    rFileGrCol                      char(1)                          NULL,
    rFileGrDef                      char(1)                          NULL,
    rLabel                          varchar(100)                     NULL,
    rNbPart                         int                              NULL,
    rSynonym                        varchar(100)                     NULL,
    rSysName                        varchar(100)                     NULL,
    rTabCol                         int                              NULL,
    rTabColSt                       int                              NULL,
    rViewCheck                      smallint                         NULL
GO

ALTER TABLE rTabspc
  ADD
    rAlteredTS                      varchar(100)                     NULL,
    rCreatedTS                      varchar(100)                     NULL,
    rEncoding                       smallint                         NULL,
    rGbpcache                       smallint                         NULL,
    rLockmax                        varchar(100)                     NULL,
    rLockpart                       smallint                         NULL,
    rMaxrows                        varchar(100)                     NULL,
    rType                           smallint                         NULL
GO

ALTER TABLE wSRRep
  ADD
    rAccParSou                      int                              NULL,
    rAccParSup                      int                              NULL,
    rAccProSub                      char(1)                          NULL,
    rAccProSup                      char(1)                          NULL,
    rItcColCop                      char(1)                          NULL
GO

CREATE INDEX i131942
ON rFile (rStogrpK, K)
GO

CREATE INDEX i131929
ON rStogrp (rFileGDb, K)
GO

CREATE INDEX i131904
ON rTable (rTabColSt, K)
GO

CREATE INDEX i131926
ON rTable (rTabCol, K)
GO

BEGIN TRANSACTION
UPDATE zModule set zVersion = ('350 341 1')
    WHERE (zName IN ('MMC', 'EPI'))
COMMIT
go

/* Updating zModule if upgrading has been done correctly. */
/* Modification de zModule si la mise a jour s'est faite correctement. */

BEGIN TRANSACTION
UPDATE zModule SET zVersion = '350 341 2' 
    WHERE zVersion = '350 341 1'
COMMIT
go

UPDATE zControl SET zConnectK = 0
go

SELECT "SUCCESSFUL EXECUTION OF upgrd_o.sql."
FROM zModule
where (zName = 'MMC' and zVersion = '350 341 2')
go

SELECT "THERE HAS BEEN AN ERROR IN THE EXECUTION OF upgrd_o.sql."
FROM zModule
where (zName = 'MMC' and zVersion <> '350 341 2')
go

BEGIN TRANSACTION
UPDATE zModule SET zVersion = '350' WHERE
	(	zVersion = '350 341 2'
		AND
		0 = (SELECT COUNT(*) FROM zConnect)
	)
COMMIT
go

SELECT "REPOSITORY UPGRADED TO 2.7 SUCCESSFULLY"
FROM zModule
where (zName = 'MMC' and zVersion = '350')
go

SELECT "MODULE VERSION ARE NOT UPGRADED TO 2.7, PLEASE CONTACT TECHNICAL SUPPORT."
FROM zModule
where (zName = 'MMC' and zVersion <> '350')
go