/************************************************************************************
*                                                                                   *
*   upgrd_s.sql        SILVERRUN ENTERPRISE BPM/RDM 2.7.6     Grandite              *
*   07-02-2002         SILVERRUN ENTREPRISE DFD/MRD 2.7.6     Grandite              *
*																                    *
*************************************************************************************
*																                    *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script upgrading the SILVERRUN              Script mettant a jour le            *
*   ENTERPRISE RDM 2.7 REPOSITORY to		REFERENTIEL SILVERRUN ENTREPRISE    *
*   version 2.7.6.				MRD 2.7 pour la version 2.7.6.	    *
*                                                                                   *
*   Script creating SILVERRUN tables and        Script creant les tables et index   *
*   indexes on segment default.                 SILVERRUN a l'interieur du "segment"*
*                                               default.                            *
*                                                                                   *
*************************************************************************************/

use silverrun_db
go

BEGIN TRANSACTION
UPDATE zModule set zVersion = ('360 350 0')
    WHERE (zName IN ('MMC', 'EPI'))
COMMIT
go


ALTER TABLE rDiagram
  ADD
    rColDescX                      smallint                         NULL,
    rTabDescX                      smallint                         NULL,
    rUserShown                     char(1)                          NULL
GO


BEGIN TRANSACTION
UPDATE zModule set zVersion = ('360 350 1')
    WHERE (zName IN ('MMC', 'EPI'))
COMMIT
go

/* Updating zModule if upgrading has been done correctly. */
/* Modification de zModule si la mise a jour s'est faite correctement. */

BEGIN TRANSACTION
UPDATE zModule SET zVersion = '360 350 2' 
    WHERE zVersion = '360 350 1'
COMMIT
go

UPDATE zControl SET zConnectK = 0
go

SELECT "SUCCESSFUL EXECUTION OF upgrd_o.sql."
FROM zModule
where (zName = 'MMC' and zVersion = '360 350 2')
go

SELECT "THERE HAS BEEN AN ERROR IN THE EXECUTION OF upgrd_o.sql."
FROM zModule
where (zName = 'MMC' and zVersion <> '360 350 2')
go

BEGIN TRANSACTION
UPDATE zModule SET zVersion = '360' WHERE
	(	zVersion = '360 350 2'
		AND
		0 = (SELECT COUNT(*) FROM zConnect)
	)
COMMIT
go

SELECT "REPOSITORY UPGRADED TO 2.7.6 SUCCESSFULLY"
FROM zModule
where (zName = 'MMC' and zVersion = '360')
go

SELECT "MODULE VERSION ARE NOT UPGRADED TO 2.7.6, PLEASE CONTACT TECHNICAL SUPPORT."
FROM zModule
where (zName = 'MMC' and zVersion <> '360')
go
