/************************************************************************************
*                                                                                   *
*   upgrd_o.sql        SILVERRUN ENTERPRISE BPM/RDM 2.8     Grandite		    *
*   19-10-2007         SILVERRUN ENTREPRISE DFD/MRD 2.8     Grandite		    *
*								                    *
*************************************************************************************
*								                    *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script upgrading the SILVERRUN              Script mettant a jour le            *
*   ENTERPRISE RDM 2.7.6 REPOSITORY to		REFERENTIEL SILVERRUN ENTREPRISE    *
*   version 2.8.0.				MRD 2.7.6 pour la version 2.8.0.    *
*                                                                                   *
*   Script creating SILVERRUN tables and        Script creant les tables et index   *
*   clustered indexes on segment                "clustered" SILVERRUN a l'interieur *
*   seg_sr_repository_data, and creating        du "segment" seg_sr_repository_data,*
*   non-clustered indexes on segment            et creant les index "non-clustered" *
*   seg_sr_repository_indexes.                  a l'interieur du "segment"          *
*                                               seg_sr_repository_indexes.          *
*   The script increases the size of       	Ce script augmente la taille de     *
*   each column that has the data type 	        chaque colonnes qui ont un type     *
*   VARCHAR (100) to  VARCHAR(240)              VARCHAR(100)  VARCHAR(240)         *	
*************************************************************************************/

use silverrun_db
go

BEGIN TRANSACTION
UPDATE zModule set zVersion = ('370 360 0')
    WHERE (zName IN ('MMC', 'EPI'))
COMMIT
go


ALTER TABLE dCell ALTER COLUMN  dFontName varchar(240);
ALTER TABLE dCell ALTER COLUMN  dText varchar(240);

ALTER TABLE dExtEnt ALTER COLUMN dAlias varchar(240);
ALTER TABLE dExtEnt ALTER COLUMN dCodedName varchar(240); 
ALTER TABLE dExtEnt ALTER COLUMN dDescript varchar(240);
ALTER TABLE dExtEnt ALTER COLUMN dName varchar(240);
 
ALTER TABLE dFlow ALTER COLUMN dAlias varchar(240);
ALTER TABLE dFlow ALTER COLUMN dCodedName varchar(240);
ALTER TABLE dFlow ALTER COLUMN dEmisCond varchar(240);
ALTER TABLE dFlow ALTER COLUMN dId varchar(240);
ALTER TABLE dFlow ALTER COLUMN dName varchar(240);

ALTER TABLE dFont ALTER COLUMN dDesCatPfx varchar(240);
ALTER TABLE dFont ALTER COLUMN dName varchar(240);

ALTER TABLE dFText ALTER COLUMN dFontName varchar(240);

ALTER TABLE dProcess ALTER COLUMN dAlias varchar(240);
ALTER TABLE dProcess ALTER COLUMN dAnID varchar(240);
ALTER TABLE dProcess ALTER COLUMN dCodedName varchar(240);
ALTER TABLE dProcess ALTER COLUMN dHierAnID varchar(240);
ALTER TABLE dProcess ALTER COLUMN dHierNumID varchar(240);
ALTER TABLE dProcess ALTER COLUMN dName varchar(240);
ALTER TABLE dProcess ALTER COLUMN dSynchRule varchar(240);

ALTER TABLE dQualif ALTER COLUMN dName varchar(240);
ALTER TABLE dQualif ALTER COLUMN dId varchar(240);

ALTER TABLE dQulExEn ALTER COLUMN dRateUnit varchar(240);

ALTER TABLE dQulFlow ALTER COLUMN dRateUnit varchar(240);

ALTER TABLE dQulProc ALTER COLUMN dRateUnit varchar(240);

ALTER TABLE dQulSto ALTER COLUMN dRateUnit varchar(240);

ALTER TABLE dResourc ALTER COLUMN dAlias varchar(240);
ALTER TABLE dResourc ALTER COLUMN dCategory varchar(240);
ALTER TABLE dResourc ALTER COLUMN dCodedName varchar(240);
ALTER TABLE dResourc ALTER COLUMN dId varchar(240);
ALTER TABLE dResourc ALTER COLUMN dName varchar(240);
ALTER TABLE dResourc ALTER COLUMN dUserName varchar(240);

ALTER TABLE dResProc ALTER COLUMN dRole varchar(240);

ALTER TABLE dStore ALTER COLUMN dAlias varchar(240);
ALTER TABLE dStore ALTER COLUMN dCodedName varchar(240);
ALTER TABLE dStore ALTER COLUMN dName varchar(240);

ALTER TABLE rActCat ALTER COLUMN rAlias varchar(240);
ALTER TABLE rActCat ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rActCat ALTER COLUMN rName varchar(240);

ALTER TABLE rAction ALTER COLUMN rAlias varchar(240);
ALTER TABLE rAction ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rAction ALTER COLUMN rName varchar(240);
ALTER TABLE rAction ALTER COLUMN rPeriod varchar(240);

ALTER TABLE rAttrSet ALTER COLUMN rCtrlClass varchar(240);
ALTER TABLE rAttrSet ALTER COLUMN rDispFmt varchar(240);
ALTER TABLE rAttrSet ALTER COLUMN rDispLabel varchar(240);
ALTER TABLE rAttrSet ALTER COLUMN rDispVals varchar(240);
ALTER TABLE rAttrSet ALTER COLUMN rEditFmt varchar(240);
ALTER TABLE rAttrSet ALTER COLUMN rEditMask varchar(240);
ALTER TABLE rAttrSet ALTER COLUMN rFldClass varchar(240);
ALTER TABLE rAttrSet ALTER COLUMN rName varchar(240);

ALTER TABLE rBlkCfg ALTER COLUMN rAlias varchar(240);
ALTER TABLE rBlkCfg ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rBlkCfg ALTER COLUMN rName varchar(240);

ALTER TABLE rChoice ALTER COLUMN rAlias varchar(240);
ALTER TABLE rChoice ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rChoice ALTER COLUMN rMaxConn varchar(240);
ALTER TABLE rChoice ALTER COLUMN rMinConn varchar(240);
ALTER TABLE rChoice ALTER COLUMN rName varchar(240);

ALTER TABLE rColAct ALTER COLUMN rSymbol  varchar(240);

ALTER TABLE rColumn ALTER COLUMN rAlias  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rAllocate  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rCcsid  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rCodedName  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rCommId  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rDefVal  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rInserSpec  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rLabel  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rLabHead  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rName  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rObjName  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rPicture  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rQuerySpec  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rStorName  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rSvwAlias  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rSysName  varchar(240);
ALTER TABLE rColumn ALTER COLUMN rUpdatSpec  varchar(240);

ALTER TABLE rColVal ALTER COLUMN rDescript  varchar(240);
ALTER TABLE rColVal ALTER COLUMN rSupValue  varchar(240);
ALTER TABLE rColVal ALTER COLUMN rValue  varchar(240);

ALTER TABLE rCombCol ALTER COLUMN rCommInfo varchar(240);

ALTER TABLE rCombin ALTER COLUMN rAlias varchar(240);
ALTER TABLE rCombin ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rCombin ALTER COLUMN rCommId varchar(240);
ALTER TABLE rCombin ALTER COLUMN rName varchar(240);

ALTER TABLE rConnect ALTER COLUMN rAlias  varchar(240);
ALTER TABLE rConnect ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rConnect ALTER COLUMN rName varchar(240);

ALTER TABLE rConstr ALTER COLUMN rAlias varchar(240);
ALTER TABLE rConstr ALTER COLUMN rCategory varchar(240);
ALTER TABLE rConstr ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rConstr ALTER COLUMN rName varchar(240);

ALTER TABLE rContent ALTER COLUMN rDefName varchar(240);
ALTER TABLE rContent ALTER COLUMN rName varchar(240);

ALTER TABLE rDatabas ALTER COLUMN rAlias varchar(240);
ALTER TABLE rDatabas ALTER COLUMN rcreatedTS varchar(240);
ALTER TABLE rDatabas ALTER COLUMN rAsp varchar(240);
ALTER TABLE rDatabas ALTER COLUMN rBufPool varchar(240);
ALTER TABLE rDatabas ALTER COLUMN rCharSet varchar(240);
ALTER TABLE rDatabas ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rDatabas ALTER COLUMN ralteredTS varchar(240);
ALTER TABLE rDatabas ALTER COLUMN rGroupMem varchar(240);
ALTER TABLE rDatabas ALTER COLUMN rLogPath varchar(240);
ALTER TABLE rDatabas ALTER COLUMN rName varchar(240);

ALTER TABLE rDiagram ALTER COLUMN rName varchar(240);

ALTER TABLE rDirect ALTER COLUMN rAlias varchar(240);
ALTER TABLE rDirect ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rDirect ALTER COLUMN rCommId varchar(240);
ALTER TABLE rDirect ALTER COLUMN rDeletRule varchar(240);
ALTER TABLE rDirect ALTER COLUMN rInserRule varchar(240);
ALTER TABLE rDirect ALTER COLUMN rMinConn varchar(240);
ALTER TABLE rDirect ALTER COLUMN rName varchar(240);
ALTER TABLE rDirect ALTER COLUMN rPeriod varchar(240);
ALTER TABLE rDirect ALTER COLUMN rSelecRule varchar(240);
ALTER TABLE rDirect ALTER COLUMN rUpdatRule varchar(240);
ALTER TABLE rDirect ALTER COLUMN rMaxConn varchar(240);

ALTER TABLE rErrMsg ALTER COLUMN rNumber varchar(240);

ALTER TABLE rFile ALTER COLUMN rAlias varchar(240);
ALTER TABLE rFile ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rFile ALTER COLUMN rDeviceTyp varchar(240);
ALTER TABLE rFile ALTER COLUMN rMirName varchar(240);
ALTER TABLE rFile ALTER COLUMN rNamDisc varchar(240);
ALTER TABLE rFile ALTER COLUMN rName varchar(240);

ALTER TABLE rFont ALTER COLUMN rDesCatPfx varchar(240);
ALTER TABLE rFont ALTER COLUMN rName varchar(240);

ALTER TABLE rIBICol ALTER COLUMN rActual varchar(240);
ALTER TABLE rIBICol ALTER COLUMN rDescript varchar(240);
ALTER TABLE rIBICol ALTER COLUMN rHelpMsg varchar(240);
ALTER TABLE rIBICol ALTER COLUMN rRangeFrom varchar(240);
ALTER TABLE rIBICol ALTER COLUMN rRangeTo varchar(240);
ALTER TABLE rIBICol ALTER COLUMN rTitle varchar(240);

ALTER TABLE rIBIDir ALTER COLUMN rAlias varchar(240);

ALTER TABLE rIBILink ALTER COLUMN rAlias varchar(240);

ALTER TABLE rIBILoc ALTER COLUMN rName varchar(240);

ALTER TABLE rIBIMFD ALTER COLUMN rAccFName varchar(240);
ALTER TABLE rIBIMFD ALTER COLUMN rFileType varchar(240);
ALTER TABLE rIBIMFD ALTER COLUMN rName varchar(240);
ALTER TABLE rIBIMFD ALTER COLUMN rPhysFName varchar(240);

ALTER TABLE rIBISec ALTER COLUMN rName varchar(240);

ALTER TABLE rIBITab ALTER COLUMN rName varchar(240);

ALTER TABLE rIndex ALTER COLUMN rAlias varchar(240);
ALTER TABLE rIndex ALTER COLUMN rCreatedTS varchar(240);
ALTER TABLE rIndex ALTER COLUMN rBufPool varchar(240);
ALTER TABLE rIndex ALTER COLUMN rCategory varchar(240);
ALTER TABLE rIndex ALTER COLUMN ralteredTS varchar(240);
ALTER TABLE rIndex ALTER COLUMN rDSetPass varchar(240);
ALTER TABLE rIndex ALTER COLUMN rName varchar(240);
ALTER TABLE rIndex ALTER COLUMN rVcat varchar(240);
ALTER TABLE rIndex ALTER COLUMN rCodedName varchar(240);

ALTER TABLE rIndTbsp ALTER COLUMN rRglFrgm varchar(240);

ALTER TABLE rMDIndex ALTER COLUMN rName varchar(240);

ALTER TABLE rPart ALTER COLUMN rAlias varchar(240);
ALTER TABLE rPart ALTER COLUMN rBufPool varchar(240);
ALTER TABLE rPart ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rPart ALTER COLUMN rName varchar(240);
ALTER TABLE rPart ALTER COLUMN rValue varchar(240);
ALTER TABLE rPart ALTER COLUMN rVcat varchar(240);

ALTER TABLE rProc ALTER COLUMN rAlias varchar(240);
ALTER TABLE rProc ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rProc ALTER COLUMN rConstList varchar(240);
ALTER TABLE rProc ALTER COLUMN rExtName varchar(240);
ALTER TABLE rProc ALTER COLUMN rResSets varchar(240);
ALTER TABLE rProc ALTER COLUMN rSpecName varchar(240);
ALTER TABLE rProc ALTER COLUMN rName varchar(240);

ALTER TABLE rRollSeg ALTER COLUMN rAlias varchar(240);
ALTER TABLE rRollSeg ALTER COLUMN rName varchar(240);
ALTER TABLE rRollSeg ALTER COLUMN rCodedName varchar(240);

ALTER TABLE rSDColn ALTER COLUMN rAlias varchar(240);
ALTER TABLE rSDColn ALTER COLUMN rAuthor varchar(240);
ALTER TABLE rSDColn ALTER COLUMN rFullName varchar(240);
ALTER TABLE rSDColn ALTER COLUMN rName varchar(240);
ALTER TABLE rSDColn ALTER COLUMN rVersion varchar(240);

ALTER TABLE rSDFld ALTER COLUMN rDescr1 varchar(240);
ALTER TABLE rSDFld ALTER COLUMN rDescr2 varchar(240);
ALTER TABLE rSDFld ALTER COLUMN rInpMask varchar(240);
ALTER TABLE rSDFld ALTER COLUMN rName varchar(240);
ALTER TABLE rSDFld ALTER COLUMN rOutMask varchar(240);
ALTER TABLE rSDFld ALTER COLUMN rPrompt varchar(240);

ALTER TABLE rSDFldVl ALTER COLUMN rCode varchar(240);
ALTER TABLE rSDFldVl ALTER COLUMN rDescr varchar(240);

ALTER TABLE rSeq ALTER COLUMN rAlias varchar(240);
ALTER TABLE rSeq ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rSeq ALTER COLUMN rIncrement varchar(240);
ALTER TABLE rSeq ALTER COLUMN rMaxvalue varchar(240);
ALTER TABLE rSeq ALTER COLUMN rMinvalue varchar(240);
ALTER TABLE rSeq ALTER COLUMN rName varchar(240);
ALTER TABLE rSeq ALTER COLUMN rStartWith varchar(240);

ALTER TABLE rSpecSym ALTER COLUMN rDescript varchar(240);
ALTER TABLE rSpecSym ALTER COLUMN rName varchar(240);

ALTER TABLE rStoCfg ALTER COLUMN rAlias varchar(240);
ALTER TABLE rStoCfg ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rStoCfg ALTER COLUMN rName varchar(240);
ALTER TABLE rStoCfg ALTER COLUMN rPathName varchar(240);

ALTER TABLE rStogrp ALTER COLUMN rAlias varchar(240);
ALTER TABLE rStogrp ALTER COLUMN rAlteredTS varchar(240);
ALTER TABLE rStogrp ALTER COLUMN rCatlgName varchar(240);
ALTER TABLE rStogrp ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rStogrp ALTER COLUMN rCreatedTS varchar(240);
ALTER TABLE rStogrp ALTER COLUMN rName varchar(240);
ALTER TABLE rStogrp ALTER COLUMN rPassword varchar(240);

ALTER TABLE rSubZone ALTER COLUMN rFontName varchar(240);
ALTER TABLE rSubZone ALTER COLUMN rFormat varchar(240);
ALTER TABLE rSubZone ALTER COLUMN rName varchar(240);
ALTER TABLE rSubZone ALTER COLUMN rTextIfNul varchar(240);

ALTER TABLE rSvwCol ALTER COLUMN rEntryDef varchar(240);
ALTER TABLE rSvwCol ALTER COLUMN rLabel varchar(240);
ALTER TABLE rSvwCol ALTER COLUMN rPicture varchar(240);
ALTER TABLE rSvwCol ALTER COLUMN rQueryDef varchar(240);
ALTER TABLE rSvwCol ALTER COLUMN rTitle varchar(240);

ALTER TABLE rSvwFmt ALTER COLUMN rCheckText varchar(240);
ALTER TABLE rSvwFmt ALTER COLUMN rFmt4gl varchar(240);
ALTER TABLE rSvwFmt ALTER COLUMN rFmtMask varchar(240);
ALTER TABLE rSvwFmt ALTER COLUMN rFontName varchar(240);

ALTER TABLE rTable ALTER COLUMN rAlias varchar(240);
ALTER TABLE rTable ALTER COLUMN rAlteredTS varchar(240);
ALTER TABLE rTable ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rTable ALTER COLUMN rCommId varchar(240);
ALTER TABLE rTable ALTER COLUMN rCreatedTS varchar(240);
ALTER TABLE rTable ALTER COLUMN rDumpName varchar(240);
ALTER TABLE rTable ALTER COLUMN rLabel varchar(240);
ALTER TABLE rTable ALTER COLUMN rName varchar(240);
ALTER TABLE rTable ALTER COLUMN rObjId varchar(240);
ALTER TABLE rTable ALTER COLUMN rPathName varchar(240);
ALTER TABLE rTable ALTER COLUMN rPeriod varchar(240);
ALTER TABLE rTable ALTER COLUMN rPhysAcces varchar(240);
ALTER TABLE rTable ALTER COLUMN rSvwAlias varchar(240);
ALTER TABLE rTable ALTER COLUMN rSvwLevel varchar(240);
ALTER TABLE rTable ALTER COLUMN rSynonym varchar(240);
ALTER TABLE rTable ALTER COLUMN rSysName varchar(240);

ALTER TABLE rTabspc ALTER COLUMN rAlias varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rAlteredTS varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rBufpool varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rCodedName varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rCreatedTS varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rDsetpass varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rLockmax varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rMaxrows varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rName varchar(240);
ALTER TABLE rTabspc ALTER COLUMN rVcat varchar(240);

ALTER TABLE rTabTbsp ALTER COLUMN rRglFrgm varchar(240);

ALTER TABLE rText ALTER COLUMN rFontName varchar(240);

ALTER TABLE rZone ALTER  COLUMN rName varchar(240);

ALTER TABLE wBasType ALTER  COLUMN wAlias varchar(240);
ALTER TABLE wBasType ALTER  COLUMN wCodedName varchar(240);
ALTER TABLE wBasType ALTER  COLUMN wName varchar(240);
ALTER TABLE wBasType ALTER  COLUMN wPicture varchar(240);

ALTER TABLE wCharact ALTER  COLUMN wAlias varchar(240);
ALTER TABLE wCharact ALTER  COLUMN wCodedName varchar(240);
ALTER TABLE wCharact ALTER  COLUMN wName varchar(240);

ALTER TABLE wComItem ALTER  COLUMN rCommId varchar(240);
ALTER TABLE wComItem ALTER  COLUMN wAlias varchar(240);
ALTER TABLE wComItem ALTER  COLUMN wCodedName varchar(240);
ALTER TABLE wComItem ALTER  COLUMN wName varchar(240);
ALTER TABLE wComItem ALTER  COLUMN wOwner varchar(240);

ALTER TABLE wCompCat  ALTER COLUMN wDescript varchar(240);
ALTER TABLE wCompCat  ALTER COLUMN wName varchar(240);

ALTER TABLE wCompon ALTER COLUMN wName varchar(240);
ALTER TABLE wCompon ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wCompon ALTER COLUMN wAlias varchar(240);

ALTER TABLE wCorrCat ALTER COLUMN wDescript varchar(240);
ALTER TABLE wCorrCat ALTER COLUMN wName varchar(240);

ALTER TABLE wDefault ALTER COLUMN wAlias varchar(240);
ALTER TABLE wDefault ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wDefault ALTER COLUMN wName varchar(240);

ALTER TABLE wDomain ALTER COLUMN rCommId varchar(240);
ALTER TABLE wDomain ALTER COLUMN rDefVal varchar(240);
ALTER TABLE wDomain ALTER COLUMN wAlias varchar(240);
ALTER TABLE wDomain ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wDomain ALTER COLUMN wExample varchar(240);
ALTER TABLE wDomain ALTER COLUMN wMinValue varchar(240);
ALTER TABLE wDomain ALTER COLUMN wMaxValue varchar(240);
ALTER TABLE wDomain ALTER COLUMN wName varchar(240);
ALTER TABLE wDomain ALTER COLUMN wOwner varchar(240);
ALTER TABLE wDomain ALTER COLUMN wValFile varchar(240);
ALTER TABLE wDomain ALTER COLUMN wPicture varchar(240);

ALTER TABLE wDomVal ALTER COLUMN wDescript varchar(240);
ALTER TABLE wDomVal ALTER COLUMN wSupValue varchar(240);
ALTER TABLE wDomVal ALTER COLUMN wValue varchar(240);

ALTER TABLE wExtStru ALTER COLUMN wChAlias varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wChBasType varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wChCodName varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wChName varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wPaAlias varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wPaCodName varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wPaName varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wPfxMax varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wPfxMin varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wSfxMax varchar(240);
ALTER TABLE wExtStru ALTER COLUMN wSfxMin varchar(240);

ALTER TABLE wProject ALTER COLUMN wAlias varchar(240);
ALTER TABLE wProject ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wProject ALTER COLUMN wDelimiter varchar(240);
ALTER TABLE wProject ALTER COLUMN wName varchar(240);
ALTER TABLE wProject ALTER COLUMN wOrganiz varchar(240);
ALTER TABLE wProject ALTER COLUMN wOwner varchar(240);

ALTER TABLE wRepres ALTER COLUMN wAlias varchar(240);
ALTER TABLE wRepres ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wRepres ALTER COLUMN wComFnName varchar(240);
ALTER TABLE wRepres ALTER COLUMN wCreator varchar(240);
ALTER TABLE wRepres ALTER COLUMN wFormalism varchar(240);
ALTER TABLE wRepres ALTER COLUMN wName varchar(240);
ALTER TABLE wRepres ALTER COLUMN wOwner varchar(240);
ALTER TABLE wRepres ALTER COLUMN wSrFormal varchar(240);
ALTER TABLE wRepres ALTER COLUMN wVersion varchar(240);

ALTER TABLE wRule ALTER COLUMN wAlias varchar(240);
ALTER TABLE wRule ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wRule ALTER COLUMN wName varchar(240);


ALTER TABLE wSRRep ALTER COLUMN dExEnIdPrf varchar(240);
ALTER TABLE wSRRep ALTER COLUMN dFlowIDPrf varchar(240);
ALTER TABLE wSRRep ALTER COLUMN dStorIdPrf varchar(240);
ALTER TABLE wSRRep ALTER COLUMN rLocalName varchar(240);
ALTER TABLE wSRRep ALTER COLUMN rLocalVers varchar(240);
ALTER TABLE wSRRep ALTER COLUMN rPeriod varchar(240);
ALTER TABLE wSRRep ALTER COLUMN rSurName varchar(240);

ALTER TABLE wStruct ALTER COLUMN wAlias varchar(240);
ALTER TABLE wStruct ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wStruct ALTER COLUMN wName varchar(240);

ALTER TABLE wStruNod ALTER COLUMN wHierName varchar(240);

ALTER TABLE wSubStru ALTER COLUMN wAlias varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wChoiceMax varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wChoiceMin varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wName varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wPfxMax varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wPfxMin varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wPrefix varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wSfxMax varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wSfxMin varchar(240);
ALTER TABLE wSubStru ALTER COLUMN wSuffix varchar(240);

ALTER TABLE wTargSys ALTER COLUMN wAlias varchar(240);
ALTER TABLE wTargSys ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wTargSys ALTER COLUMN wName varchar(240);
ALTER TABLE wTargSys ALTER COLUMN wVersion varchar(240);

ALTER TABLE wUFldVal ALTER COLUMN wValue varchar(240);

ALTER TABLE wUser ALTER COLUMN wAlias varchar(240);
ALTER TABLE wUser ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wUser ALTER COLUMN wName varchar(240);

ALTER TABLE wUserFld ALTER COLUMN wAlias varchar(240);
ALTER TABLE wUserFld ALTER COLUMN wCodedName varchar(240);
ALTER TABLE wUserFld ALTER COLUMN wName varchar(240);

ALTER TABLE zChkTran ALTER COLUMN zTransName varchar(240);

ALTER TABLE zConnect ALTER COLUMN zUserId varchar(240);

ALTER TABLE zControl ALTER COLUMN zCharSet varchar(240);

ALTER TABLE zModule ALTER COLUMN zName varchar(240);
ALTER TABLE zModule ALTER COLUMN zVersion varchar(240);

BEGIN TRANSACTION
UPDATE zModule set zVersion = ('370 360 1')
    WHERE (zName IN ('MMC', 'EPI'))
COMMIT
go

/* Updating zModule if upgrading has been done correctly. */
/* Modification de zModule si la mise a jour s'est faite correctement. */

BEGIN TRANSACTION
UPDATE zModule SET zVersion = '370 360 2' 
    WHERE zVersion = '370 360 1'
COMMIT
go

UPDATE zControl SET zConnectK = 0
go

SELECT 'SUCCESSFUL EXECUTION OF upgrd_o.sql.'
FROM zModule
where (zName = 'MMC' and zVersion = '370 360 2')
go

SELECT 'THERE HAS BEEN AN ERROR IN THE EXECUTION OF upgrd_o.sql.'
FROM zModule
where (zName = 'MMC' and zVersion <> '370 360 2')
go

BEGIN TRANSACTION
UPDATE zModule SET zVersion = '370' WHERE
	(	zVersion = '370 360 2'
		AND
		0 = (SELECT COUNT(*) FROM zConnect)
	)
COMMIT
go

SELECT 'REPOSITORY SUCCESSFULLY UPGRADED TO 2.8.x'
FROM zModule
where (zName = 'MMC' and zVersion = '370')
go

SELECT 'MODULE VERSION ARE NOT UPGRADED TO 2.8.x, PLEASE CONTACT TECHNICAL SUPPORT.'
FROM zModule
where (zName = 'MMC' and zVersion <> '370')
go
